ru.bitel.bgbilling.modules.payture.common.service

## Interface PaytureService

-     public interface PaytureService

  Веб-сервис платежного модуля Payture. Позволяет выводить отфильтрованный список платежей, проводить/возвращать платежи
  Author:
    reflexive

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getOrderId(int contractId, java.math.BigDecimal amount)`
    `void` | `refund(int paymentId)` Возврат платежа обратно на карту
    `SearchResult<Transaction>` | `searchTransactionList(int contractId, java.lang.String contractTitle, java.lang.String status, Period period, Page page)` Получение списка транзакций с возможностью фильтрации по договору, статусу, периоду.

- - ### Method Detail

    - #### getOrderId

          int getOrderId(int contractId,
                         java.math.BigDecimal amount)
                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### searchTransactionList

          SearchResult<Transaction> searchTransactionList(int contractId,
                                                          java.lang.String contractTitle,
                                                          java.lang.String status,
                                                          Period period,
                                                          Page page)
                                                   throws ru.bitel.bgbilling.common.BGException

      Получение списка транзакций с возможностью фильтрации по договору, статусу, периоду.
      Parameters:
        `contractId` - код договора
        `contractTitle` - название договора
        `status` - код статуса. (см. `TransactionStatus`
        `period` - период фильтрации транзакций.
      Returns:
        список транзакций.
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### refund

          void refund(int paymentId)
               throws ru.bitel.bgbilling.common.BGException

      Возврат платежа обратно на карту
      Parameters:
        `paymentId` - код возвращаемого платежа
      Throws:
        `ru.bitel.bgbilling.common.BGException`